← HeatShield Docs

Getting Started

WordPress Hosting Requirements

To use the WordPress Firewall, your server must have the HeatShield agent installed. The HeatShield agent is required because HeatShield uses an extremely fast, enterprise-grade Web Application Firewall engine, ModSecurity, that cannot be run within WordPress.

How to Install the HeatShield Agent

The HeatShield agent is required to use the Web Application Firewall. To install the HeatShield agent, SSH into your server as root and run the following command:

How to Install the HeatShield WordPress Plugin

First, download the plugin, which will create a file named heatshield.zip in your browser's default file downloads location. Login to the WordPress administrator panel for the site you wish to install the plugin (eg.

How to Enable WordPress Brute Force Protection

To enable HeatShield's WordPress brute force login protection, first install the HeatShield WordPress plugin on your WordPress site and then follow the steps below:

How to Enable the WordPress Web Application Firewall

To enable the WordPress Web Application Firewall (WAF), first install the HeatShield WordPress plugin on your WordPress site and then follow the steps below:

Advanced security for your WordPress sites